package sattose;

import java.io.FileInputStream;
import java.io.InputStream;

public class WordnetConfiguration {

    /**
     * 
     * The location of the configuration file.
     */

    public static String CONFIG_PATH = ProjectConfiguration.JWNL_PATH;

    /**
     * 
     * The name of the file configuration.
     */

    public static String FILE_CONFIG_NAME = "file_properties.xml";

    /**
     * 
     * The name of the database configuration.
     */

    public static String DATABASE_CONFIG_NAME = "database_properties.xml";

    /**
     * 
     * The name of the map configuration.
     */

    public static String MAP_CONFIG_NAME = "map_properties.xml";

    /**
     * 
     * The flag to use file backed wordnet.
     */

    public static String FILE = "Use File";

    /**
     * 
     * The flag to use database backed wordnet.
     */

    public static String DB = "Use DB";

    /**
     * 
     * The flag to use a map backed wordnet.
     */

    public static String MAP = "Use Map";

    /**
     * 
     * The testing type. Currently either FILE, DB, or MAP.
     */

    public static String testingType = WordnetConfiguration.FILE;

    /**
     * 
     * Gets the input stream based on the type.
     * 
     * @return input stream
     */

    public static InputStream getInputStream() {

	try {

	    if (WordnetConfiguration.testingType
		    .equals(WordnetConfiguration.FILE)) {

		return new FileInputStream(WordnetConfiguration.CONFIG_PATH
			+ WordnetConfiguration.FILE_CONFIG_NAME);

	    } else if (WordnetConfiguration.testingType
		    .equals(WordnetConfiguration.DB)) {

		return new FileInputStream(WordnetConfiguration.CONFIG_PATH
			+ WordnetConfiguration.DATABASE_CONFIG_NAME);

	    } else if (WordnetConfiguration.testingType
		    .equals(WordnetConfiguration.MAP)) {

		return new FileInputStream(WordnetConfiguration.CONFIG_PATH
			+ WordnetConfiguration.MAP_CONFIG_NAME);

	    }

	} catch (final Exception e) {

	    e.printStackTrace();

	}

	return null;

    }
}
